<?php

namespace App\Http\Controllers;

use App\Models\contactos;
use App\Models\habitaciones;
use App\Models\reservaciones;
use App\Models\reservacioneshabitaciones;
use Illuminate\Http\Request;

class ControllerAdminEditarReservaciones extends Controller
{
    /**
     * Display a listing of the resource.
     */
    public function index()
    {
        //
    }

    /**
     * Show the form for creating a new resource.
     */
    public function create()
    {
        //
    }

    /**
     * Store a newly created resource in storage.
     */
    public function store(Request $request)
    {
        //
    }

    /**
     * Display the specified resource.
     */
    public function show(string $id)
    {
        $reservacioneshabitaciones = reservacioneshabitaciones::find($id);
        return $reservacioneshabitaciones;
    }

    /**
     * Show the form for editing the specified resource.
     */
    public function edit(string $id)
    {
        //
    }

    /**
     * Update the specified resource in storage.
     */
    public function update(Request $request, string $id)
    {

        $item =  reservacioneshabitaciones::find($request->id_reservacioneshabitaciones);

        $subtotal = $item->precio_sub_total;
        $habitacion = habitaciones::find($item->id_habitacion);
        $reservacion= reservaciones::find($item->id_reservacion);

        $item->fecha_entrada = $request->fecha_entrada;
        $item->fecha_salida = $request->fecha_salida;
        $item->cantidad_noches = $request->cantidad_noches;
        $item->cantidad_personas = $request->cantidad_personas;
        $item->precio_sub_total =  (int)$request->cantidad_noches * (int)$request->cantidad_personas * (int)$habitacion->tarifa;

        $item->save();


        reservaciones::where('id_reservacion', $reservacion->id_reservacion)->update(['precio_total' => ($reservacion->precio_total - $subtotal) + $item->precio_sub_total]);

        return back()->with("success","Se actualizo con exito, el CONTACTO!!");
    }

    /**
     * Remove the specified resource from storage.
     */
    public function destroy(string $id)
    {
        $item = reservacioneshabitaciones::find($id);
        $reservacion= reservaciones::find($item->id_reservacion);
        reservaciones::where('id_reservacion', $reservacion->id_reservacion)->update(['precio_total' => ($reservacion->precio_total - $item->precio_sub_total)]);
        $item->delete();


        return back()->with("success","Se eliminio con exito!!");
    }
}
