<?php

namespace App\Http\Controllers;

use App\Models\habitaciones;
use Illuminate\Http\Request;

class ControllerAdminHabitaciones extends Controller
{
    /**
     * Display a listing of the resource.
     */
    public function index()
    {
        //
    }

    /**
     * Show the form for creating a new resource.
     */
    public function create()
    {
        //
    }

    /**
     * Store a newly created resource in storage.
     */
    public function store(Request $request)
    {
        $habitaciones = new habitaciones();

        $habitaciones->nombre = $request->nombre;
        $habitaciones->tarifa = $request->tarifa;

        $habitaciones->save();

        return redirect()->route("indexhasbitaciones")->with("success","Se guardo con exito!!");
    }

    /**
     * Display the specified resource.
     */
    public function show(string $id)
    {
        $item = habitaciones::find($id);


        return $item;
    }

    /**
     * Show the form for editing the specified resource.
     */
    public function edit(string $id)
    {
        //
    }

    /**
     * Update the specified resource in storage.
     */
    public function update(Request $request, string $id)
    {
        $item =  habitaciones::find($request->id_habitacion);
        $item->nombre = $request->nombreE;
        $item->tarifa = $request->tarifaE;

        $item->save();

        return redirect()->route("indexhasbitaciones")->with("success","Se actualizo con exito!!");
    }

    /**
     * Remove the specified resource from storage.
     */
    public function destroy(string $id)
    {
        $item = habitaciones::find($id);
        $item->delete();

        return redirect()->route("indexhasbitaciones")->with("success","Se eliminio con exito!!");
    }
}
