@extends('administrativo.index')

@section('cuerpo')

<div class="row">

    <div class="col-sm-12">

        <div class="card border-secondary">

            <div class="card-body">

                <table class="datatable table table-hover">

                    <thead class="bg-dark text-white">
                        <tr>
                            <th># Reservacion</th>
                            <th>Nombre_Cliente</th>
                            <th style="width: 20px;">Editar</th>
                            <th style="width: 20px;">Eliminar</th>
                        </tr>
                    </thead>

                    <tbody>

                        @foreach($data as $item)

                        <tr>

                            <td>{{ $item->id_reservacion }}</td>
                            <td>{{ $item->nombre }}</td>
                            
                            <td>
                                <a class="btn btn-sm btn-warning" href="">Editar</a>
                            </td>
                            <td>
                                <form action="" method="POST">
                                @csrf
                                @method('delete')
                                    <button class="btn btn-sm btn-danger">Eliminar</button>
                                </form>
                            </td>
                        </tr>

                        @endforeach

                    </tbody>

                </table>

            </div>

        </div>

    </div>

</div>
@endsection



