<script>
    habitaciones = [];
</script>
<div class="hotel-booking-form">
    <h3>Reservación</h3>
    <!-- RD Mailform-->
    <form class="rd-mailform" data-form-output="form-output-global" data-form-type="contact" method="post" action="">
      <div class="range range-sm-bottom spacing-20">
        <div class="cell-lg-12 cell-md-4">
          <p class="text-uppercase">Nombre</p>
          <div class="form-wrap">
            <input class="form-input nombreP" id="contact-first-name" type="text" name="nombre" data-constraints="">
            <label class="form-label" for="contact-first-name">Nombre</label>
          </div>
        </div>
        <div class="cell-lg-12 cell-md-4">
            <p class="text-uppercase">Telefono</p>
            <div class="form-wrap">
              <input class="form-input telefonoP" id="contact-first-name" type="text" name="telefono" data-constraints="">
              <label class="form-label" for="contact-first-name">Telefono</label>
            </div>
          </div>
          <div class="cell-lg-12 cell-md-4">
            <p class="text-uppercase">Correo</p>
            <div class="form-wrap">
              <input class="form-input correoP" id="contact-first-name" type="text" name="correo" data-constraints="">
              <label class="form-label" for="contact-first-name">Correo</label>
            </div>
          </div>
          <hr>
          <div class="cell-lg-12 cell-md-4 cell-sm-6">
            <p class="text-uppercase">Habitación</p>
            <div class="form-wrap form-wrap-validation">
              <!--Select 2-->
              <select id="combohabitaciones" name="habitacion" class="form-input select-filter" data-placeholder="Tipos">
                <option>&nbsp;</option>
                <?php $__currentLoopData = $habitaciones; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $item): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                <option value="<?php echo e($item->id_habitacion); ?>"><?php echo e($item->nombre); ?></option>
                <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
              </select>
            </div>
          </div>
        <div class="cell-lg-12 cell-md-4 cell-sm-6">
            <p class="text-uppercase">Fecha de Entrada</p>
            <div class="form-wrap">
              <label class="form-label form-label-icon" for="date-out"></label>
              <input class="form-input fecha_inicio" id="date-out" type="date" name="fecha_inicio" min=<?php $hoy=date("Y-m-d"); echo $hoy;?>>
            </div>
          </div>

          <div class="cell-lg-12 cell-md-4 cell-sm-6">
            <p class="text-uppercase">Fecha de Salida</p>
            <div class="form-wrap">
              <label class="form-label form-label-icon" for="date-out"></label>
              <input class="form-input fecha_final" id="date-out" type="date" name="fecha_final"  min=<?php $hoy=date("Y-m-d"); echo $hoy;?>>
            </div>
          </div>
          
          

        
        <div class="cell-lg-6 cell-md-4 cell-xs-6">
            <p class="text-uppercase">Personas</p>
            <div class="form-wrap form-wrap-validation">
                <!--Select 2-->
                <input class="form-input" id="cantPersonas" type="number" min="1" max="20" name="name" data-constraints="">
            </div>
        </div>

        <div class="cell-lg-6 cell-md-4 cell-xs-6">
            <p class="text-uppercase">Cantidad Noches</p>
            <div class="form-wrap form-wrap-validation">
              <!--Select 2-->
              <input class="form-input" id="cantNoches" type="number" min="1" max="30" name="name" data-constraints="">
            </div>
          </div>
        
        <div class="cell-lg-12 cell-md-4">
          <button class=" text-black button button-primary button-square button-block button-effect-ujarak" type="" onclick="RegistrarHabitacion()"><span>REGISTRAR HABITACIÓN</span></button>
        </div>
      </div>
    </form>
  </div>


  <script>

function eliminarHabitacionFactura(id){

  console.log(id);
  habitaciones.forEach(function(habitacion, index) {
    if (habitacion.id_habitacion == id) {
        habitaciones.splice(index, 1); 
    }
 });
      var contenedorHabitacion = document.getElementById('contenidohabitaciones');
      var listaHabitaciones = document.getElementById('detallesFinales');
      contenedorHabitacion.innerHTML = '';
      listaHabitaciones.innerHTML = '';
      var tarifaTotal = 0;
                                                           habitaciones.forEach(function(habitacion) {
                                                                    
                                                                   tarifaTotal += parseInt(habitacion.tarifa);
                                                                   var habitacionDiv = document.getElementById('habitacion-template').content.cloneNode(true);
                                                                   var botonClonado = habitacionDiv.querySelector('.btnEliminar');
                                                                   botonClonado.value = habitacion.id_habitacion;
                                                                   habitacionDiv.querySelector('.nombre_habitacion').textContent = habitacion.nombre;
                                                                   habitacionDiv.querySelector('.precio').textContent = habitacion.tarifa.toLocaleString("en-CR", {
                                                                                                                                             style: "currency",
                                                                                                                                             currency: "CRC"
                                                                                                                                         });
                 
                                                                   habitacionDiv.querySelector('.cantidadPersonas').textContent = "Personas : " + habitacion.cantidadP + " Noches : " + habitacion.cantidadN;
                                                                   contenedorHabitacion.appendChild(habitacionDiv);
   
                                                                   
                                                      
                                                                   //Otro template para la cantidad de habitaciones que se ingrese
                                                                   var ListaDiv = document.getElementById('lista-template').content.cloneNode(true);
                                                                   ListaDiv.querySelector('.item-description').textContent = habitacion.nombre;
                                                                   ListaDiv.querySelector('.item-unit-price').textContent = habitacion.tarifaUnitaria.toLocaleString("en-CR", {
                                                                                                                                             style: "currency",
                                                                                                                                             currency: "CRC"
                                                                                                                                         });
                                                                   ListaDiv.querySelector('.item-total-price').textContent = habitacion.tarifa.toLocaleString("en-CR", {
                                                                                                                                             style: "currency",
                                                                                                                                             currency: "CRC"
                                                                                                                                         });
                                                                   listaHabitaciones.appendChild(ListaDiv);
   
                                                                   $("#totalPrice").text(tarifaTotal.toLocaleString("en-CR", {
                                                                                                     style: "currency",
                                                                                                     currency: "CRC"
                                                                                                     }));
                                                               });
   
   
                                                               var habitacionesJson = JSON.stringify(habitaciones);
                                                               $("#habitacionesH").val(habitacionesJson);

}

function RegistrarHabitacion() {

  var cantPersonas = $("#cantPersonas").val();
  var cantNoches = $("#cantNoches").val();
  var fechaInicio = $(".fecha_inicio").val();
  var fechaFinal = $(".fecha_final").val();


  //Obtener los datos necesarios para enviar
  var nombre = $(".nombreP").val();
  var telefono = $(".telefonoP").val();
  var correo  = $(".correoP").val();

  //Setear los input hidden
  $("#nombreH").val(nombre);
  $("#telefonoH").val(telefono);
  $("#correoH").val(correo);
  
var habitacion = document.getElementById('combohabitaciones');

id = habitacion.value;
route = "<?php echo e(route('obtenerHabitacion', '#')); ?>";
route = route.replace("#", id);

$.ajax({
    url: route,
    type: 'GET',
    headers: {
        'X-CSRF-Token': $('meta[name="csrf-token"]').attr('content')
    },
    success: function (result) {
      alert('Habitacion agregada con exito');

      $("#nombreFac").text(nombre);
      $("#telefonoFac").text(telefono); 
      $("#CorreoFact").text(correo);


      
      habitaciones.push({'nombre': result.nombre , 'tarifa' : parseInt(result.tarifa)*parseInt(cantPersonas)*parseInt(cantNoches), 'cantidadP' : cantPersonas, 'cantidadN' : cantNoches, 'fechaI' : fechaInicio, 'fechaF' : fechaFinal, 'tarifaUnitaria': result.tarifa , 'id_habitacion': result.id_habitacion});
      var contenedorHabitacion = document.getElementById('contenidohabitaciones');
      var listaHabitaciones = document.getElementById('detallesFinales');
      contenedorHabitacion.innerHTML = '';
      listaHabitaciones.innerHTML = '';
      var tarifaTotal = 0;
                                                               habitaciones.forEach(function(habitacion) {
                                                                    
                                                                 tarifaTotal += parseInt(habitacion.tarifa);
                                                                var habitacionDiv = document.getElementById('habitacion-template').content.cloneNode(true);
                                                                var botonClonado = habitacionDiv.querySelector('.btnEliminar');
                                                                botonClonado.value = habitacion.id_habitacion;
                                                                habitacionDiv.querySelector('.nombre_habitacion').textContent = habitacion.nombre;
                                                                habitacionDiv.querySelector('.precio').textContent = habitacion.tarifa.toLocaleString("en-CR", {
                                                                                                                                          style: "currency",
                                                                                                                                          currency: "CRC"
                                                                                                                                      });
              
                                                                habitacionDiv.querySelector('.cantidadPersonas').textContent = "Personas : " + habitacion.cantidadP + " Noches : " + habitacion.cantidadN;
                                                                contenedorHabitacion.appendChild(habitacionDiv);

                                                                
                                                   
                                                                //Creamo otro template para la cantidad de habitaciones que se ingrese
                                                                var ListaDiv = document.getElementById('lista-template').content.cloneNode(true);
                                                                ListaDiv.querySelector('.item-description').textContent = habitacion.nombre;
                                                                ListaDiv.querySelector('.item-unit-price').textContent = habitacion.tarifaUnitaria.toLocaleString("en-CR", {
                                                                                                                                          style: "currency",
                                                                                                                                          currency: "CRC"
                                                                                                                                      });
                                                                ListaDiv.querySelector('.item-total-price').textContent = habitacion.tarifa.toLocaleString("en-CR", {
                                                                                                                                          style: "currency",
                                                                                                                                          currency: "CRC"
                                                                                                                                      });
                                                                listaHabitaciones.appendChild(ListaDiv);

                                                                $("#totalPrice").text(tarifaTotal.toLocaleString("en-CR", {
                                                                                                  style: "currency",
                                                                                                  currency: "CRC"
                              }));
     });

    $(".factura-container").css("display","")

  var habitacionesJson = JSON.stringify(habitaciones);
 $("#habitacionesH").val(habitacionesJson);
}

});
}








  </script>


  <template id="habitacion-template">
  <div class="card text-center" style="width: 20%; float: left;margin: 5px">
  <div class="card-header">
    <span class="nombre_habitacion" id="nombre_habitacion"></span>

  <div style="position: absolute; bottom: 65px; right: 7px;" class="eliminar">
        <button id="btnEliminar" style=" border-radius: 100px" class="btn btn-danger btn-sm btnEliminar" onclick="eliminarHabitacionFactura(this.value)" type="submit">X</button>
 </div>
  </div>
  <div class="card-body">
    <h5 class="card-title precio" id="precio"></h5>
  </div>
  <div class="card-footer text-muted">
    <span id="cantidad_personas" class="cantidadPersonas"></span> 
  </div>
</div>                   
  </template>

  <template id="lista-template">
  <li id="detallesFinalesTemplate">
  <span class="item-description"></span>
  <span class="item-unit-price"></span>
  <span class="item-total-price"></span>                  
  </li>
  </template>
<?php /**PATH C:\proyectoProgramado1\resources\views/LadingPage/Partes/Principal/formulario.blade.php ENDPATH**/ ?>