$(document).ready(function() {
    $(".fecha_final").change(function() {
        var fecha1 = moment($(".fecha_inicio").val());
        var fecha2 = moment($(".fecha_final").val());
        if ($(".fecha_inicio").val() == null || $(".fecha_inicio").val() == "") {
            Swal.fire({
                text: 'Ingrese la fecha de Inicio',
                icon: 'error',
                confirmButtonText: 'OK'
            });
            $('.fecha_final').val("");
        } else {
            $("#cantNoches").val(fecha2.diff(fecha1, 'days'));

            // El Ajax Verificar 
            let fechaInicio = $('.fecha_inicio').val();
            let fechaFinal = $('.fecha_final').val();
            let nombreHabitacion = $('#combohabitaciones').val();
            let token = $('meta[name="csrf-token"]').attr('content');

            // Realizar la solicitud AJAX al controlador
            $.ajax({
                url: '/habitacionesdisponibles',
                type: 'get',
                data: {
                    fecha_inicio: fechaInicio,
                    fecha_final: fechaFinal,
                    habitacion: nombreHabitacion
                },
                headers: {
                    'X-CSRF-Token': token
                },
                success: function(response) {
                    // Manejar la respuesta del controlador
                    if (response.length > 0) {
                        Swal.fire({
                            text: 'Habitación no disponible',
                            icon: 'error',
                            confirmButtonText: 'OK'
                        });
                        $('.fecha_final').val("");
                    } else {
                        Swal.fire({
                            text: 'Habitación disponible',
                            icon: 'success',
                            confirmButtonText: 'OK'
                        });
                    }
                },
                error: function(xhr, status, error) {
                    console.error("Error en la solicitud:", error);
                    Swal.fire({
                        text: 'Ocurrió un error en la solicitud',
                        icon: 'error',
                        confirmButtonText: 'OK'
                    });
                }
            });
        }
    });
});

 



