@extends('administrativo.index')

@section('cuerpo')

@section('portada', 'Reservaciones')
{{-- ------------------------------------------------------------------------------------ --}}

<div class="row">


    <div class="col-sm-12">

        <div class="card border-secondary">

            <div class="card-body">

                <table class="datatable table table-hover">

                    <thead class="bg-dark text-white">
                        <tr>
                            <th># Reservacion</th>
                            <th>Nombre Cliente</th>
                            <th>Fecha Reservacion</th>
                            <th>Total</th>
                            <th style="width: 20px;">Editar</th>
                            <th style="width: 20px;">Eliminar</th>
                        </tr>
                    </thead>

                    <tbody>

                        @foreach ($reservaciones as $item)
                            <tr>

                                <td>{{ $item->id_reservacion }}</td>
                                <td>{{ $item->nombre}}</td>
                                <td>{{ $item->fecha_creacion }}</td>
                                <td>{{ $item->precio_total }}</td>

                                <td>
                                    <a class="btn btn-sm btn-warning" href="{{ route('Reservaciones.update', $item->id_reservacion) }}">Editar</a>
                                </td>
                                <td>
                                    <form action="{{route('Reservaciones.destroy', $item)}}" method="POST">

                                        @csrf
                                        @method('delete')

                                        <button class="btn btn-sm btn-danger">Eliminar</button>
                                    </form>
                                </td>
                            </tr>
                        @endforeach

                    </tbody>

                </table>

            </div>

        </div>

    </div>

</div>
@endsection
