<?php

namespace App\Http\Controllers;

use App\Models\habitaciones;
use App\Models\contactos;
use App\Models\reservaciones;
use App\Models\reservacioneshabitaciones;
use Illuminate\Http\Request;

class ControllerReservaciones extends Controller
{
    /**
     * Display a listing of the resource.
     */
    public function index() 
    {
        $habitaciones = habitaciones::all();

        
        return view("index", compact("habitaciones"));
    }

    public function obtenerHabitacion($id){
        $habitaciones = habitaciones::find($id);
        return $habitaciones;

    }

    /**
     * Show the form for creating a new resource.
     */
    public function create()
    {
        //
    }

    /**
     * Store a newly created resource in storage.
     */
    public function store(Request $request)
    {

   // try{
       $tarifaTotal = 0;
       $contacto = new contactos();
       $contacto->nombre = $request->nombre;
       $contacto->telefono = $request->telefomo;
       $contacto->correo = $request->correo;
       $contacto->save();

       $reservacion = new reservaciones();
       $reservacion->id_contacto = $contacto->id_contacto;
       $reservacion->fecha_creacion = date('Y-m-d');
       $reservacion->precio_total = $tarifaTotal;
       $reservacion->save();

       $habitaciones = json_decode($request->habitaciones, true);

       foreach($habitaciones as $item){
         $reservacionHabitacion = new reservacioneshabitaciones();
         $reservacionHabitacion->id_habitacion = $item['id_habitacion'];
         $reservacionHabitacion->id_reservacion = $reservacion->id_reservacion;
         $reservacionHabitacion->fecha_entrada = $item['fechaI'] ;
         $reservacionHabitacion->fecha_salida = $item['fechaF'] ;
         $reservacionHabitacion->cantidad_noches = $item['cantidadN'] ;
         $reservacionHabitacion->cantidad_personas = $item['cantidadP'] ;
         $reservacionHabitacion->precio_sub_total = $item['tarifa'];
         $reservacionHabitacion->save();

         $tarifaTotal =+ $item['tarifa'];
       }

       reservaciones::where('id_reservacion', $reservacion->id_reservacion)->update(['precio_total' => $tarifaTotal]);




       return back()->with("mensaje","Se creo la reservación");

       //  }catch(\Exception){

          //  return back()->with("mensajeError","Ha ocurrido un error al crear la reservación";
//}
       


    }

    /**
     * Display the specified resource.
     */
    public function show(string $id)
    {
        $habitaciones = habitaciones::find($id);
        return $habitaciones;
    }

    /**
     * Show the form for editing the specified resource.
     */
    public function edit(string $id)
    {
        //
    }

    /**
     * Update the specified resource in storage.
     */
    public function update(Request $request, string $id)
    {
        //
    }

    /**
     * Remove the specified resource from storage.
     */
    public function destroy(string $id)
    {
        //
    }

    public function habitacionesdisponibles(Request $request)
{
    $fechaInicio = $request->fecha_inicio;
    $fechaFin = $request->fecha_final;
    $nombreHabitacion = $request->habitacion;
    $habitacion= reservacioneshabitaciones::where('id_habitacion',$nombreHabitacion )->where('fecha_salida', '>=', $fechaInicio)->where('fecha_entrada', '<=', $fechaFin)->get();
    return $habitacion;
}
}
