
<!-- icon list--><!DOCTYPE html>
<html class="wide wow-animation" lang="en">
  <head>
    <!-- Site Title-->
    <title>Hotel El Cricko Azul</title>
    <meta name="format-detection" content="telephone=no">
    <meta name="viewport" content="width=device-width, height=device-height, initial-scale=1.0, maximum-scale=1.0, user-scalable=0">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta charset="utf-8">
    <link rel="icon" href="images/favicon.ico" type="image/x-icon">
    <meta name="csrf-token" content="<?php echo e(csrf_token()); ?>">
    <!-- Stylesheets-->
   <?php echo $__env->make('LadingPage.Partes.css.css', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?>
  </head>
  <body>
    <div class="ie-panel"><a href="http://windows.microsoft.com/en-US/internet-explorer/"><img src="images/ie8-panel/warning_bar_0000_us.jpg" height="42" width="820" alt="You are using an outdated browser. For a faster, safer browsing experience, upgrade for free today."></a></div>
    <!-- Page-->
    <div class="text-center page">

      <!-- Page preloader-->
      
      <!-- Page Header-->
    <?php echo $__env->make('LadingPage.Partes.header.header', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?>
      <section class="section">
        <div class="shell-wide">
          <div class="range range-30 range-xs-center">
            <div class="cell-lg-4 cell-xl-3 reveal-lg-flex">
              <?php echo $__env->make('LadingPage.Partes.Principal.formulario', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?>
            </div>
            <div class="cell-lg-8 cell-xl-9">

              <!-- Classic slider-->
              <section class="section">
                <!-- Swiper -->
                <div class="swiper-container swiper-slider swiper-style-2" data-loop="false" data-autoplay="5500" data-simulate-touch="false" data-slide-effect="slide" data-direction="vertical">
            
                   <div class="row">
                   <div class="col-8">

                   <div id="contenidohabitaciones"></div>
                   
                    </div>
                    <div class="col-4">

                    <div class="factura-container" style="display: none">
                      <div class="header">
                          <h1>Factura reservación</h1>
                      </div>
                        <div class="contact-info">
                            <p><strong>Nombre: </strong><span id="nombreFac"></span></p>
                            <p><strong>Teléfono: </strong><span id="telefonoFac"></span></p>
                            <p><strong>Correo: </strong><span id="CorreoFact"></span></p>
                        </div>
                      <ul class="factura-details">
                          <li>
                              <span class="item-description"><strong>Descripción</strong></span>
                              <span class="item-unit-price"><strong>Precio </strong></span>
                              <span class="item-total-price"><strong>Total</strong></span>
                          </li>
                          <div id="detallesFinales" class="detallesFinales">

                          </div>
                         
                      </ul>
                          <div class="total">
                          <form  action="<?php echo e(route('landingReservaciones.store')); ?>" method="post">
    
                            <?php echo csrf_field(); ?>
                            <input type="hidden" id="nombreH" name="nombre">
                            <input type="hidden" id="telefonoH" name="telefomo">
                            <input type="hidden" id="correoH" name="correo">
                            <input type="hidden" id="habitacionesH" name="habitaciones">
                            <p> <input type="submit"  class="btn btn-primary" value="Guardar reservación" /></p>
                          </form>
                          </div>
                          <div class="total">
                              <p><strong>Total:</strong><span id="totalPrice"></span></p>
                          </div>
                      </div>
                     </div>
                   </div>
                </div>
              </section>
            </div>
           
          </div>
        </div>
      </section>

      <?php if( session('mensaje') ): ?>

<div class="agregado alert alert-success">
 <?php echo e(session('mensaje')); ?>

</div>

<script type="text/javascript">
 setTimeout(function(){ 
 $('.agregado').hide();
 },
 5000);     
</script>



<?php endif; ?>

<?php if( session('mensajeError') ): ?>

<div class="agregado alert alert-danger">
 <?php echo e(session('mensajeError')); ?>

</div>

<script type="text/javascript">
 setTimeout(function(){ 
 $('.agregado').hide();
 },
 5000);     
</script>

<?php endif; ?>


      <!-- About us-->
      <section class="section section-md bg-white text-center text-sm-left">
        <div class="shell-wide">
          <div class="range range-50 range-xs-center overflow-hidden">
            <div class="cell-sm-10 cell-md-8 cell-lg-7 wow fadeInUp" data-wow-delay=".1s">
              <div class="post-video post-video-border">
                <div class="post-video__image"><img src="images/video-bg-1020x525.jpg" alt="" width="1020" height="525"/>
                </div>
                <div class="post-video__body"><a class="link-control post-video__control" data-lightgallery="item" href="https://www.youtube.com/watch?v=I5FlP07kdvM"></a></div>
              </div>
            </div>
            <div class="cell-sm-10 cell-md-8 cell-lg-5 reveal-flex wow fadeInUp" data-wow-delay=".3s">
              <div class="bg section-wrap-content-var-1" style="background-color: #8f859e;">
                <div class="section-wrap-content-var-1-inner">
                  <h2>About Us</h2>
                  <p>Committed to everyone seeking energy and excitement, we offer endless possibilities to unwind and reenergize.</p>
                  <div class="group">
                    <dl class="list-desc">
                      <dt>Weekdays:</dt>
                      <dd><span>8:00–20:00</span></dd>
                    </dl>
                    <dl class="list-desc">
                      <dt>Weekends:</dt>
                      <dd><span>9:00–18:00</span></dd>
                    </dl>
                  </div><a class="button button-effect-ujarak button-lg button-secondary-outline button-square" href="about-us.html"><span>book now</span></a>
                </div>
              </div>
            </div>
          </div>
        </div>
      </section>
      <!--Indoor Pool-->
      <section class="section section-md bg-secondary-4 text-center text-sm-left">
        <div class="shell">
          <div class="range range-50 range-md-justify range-sm-middle">
            <div class="cell-sm-6 cell-md-5">
              <h3>Piscina cubierta del hotel</h3>
              <p>La piscina cubierta climatizada tiene techos abovedados con vigas de madera. La bañera de hidromasaje cuenta con ventanales y da al estanque y a la cara norte del hermoso paraje local. Por motivos de seguridad y salud, los niños deben ir acompañados de un adulto cuando visiten la piscina.

                La serena piscina del hotel y resort spa Hotel El Cricko Azul cuenta con una decoración elegante que incluye impresionantes columnas de teca del piso al techo contrastadas con un fresco piso de baldosas negras. También está disponible un comedor junto a la piscina, que ofrece una selección de platos de cualquier cocina que desee, que son saludables y deliciosos. Las clases diarias de aeróbic acuático ayudan a los huéspedes a mantenerse en forma mientras viajan.</p>
            </div>
            <div class="cell-sm-6">
              <div class="box-outline box-outline__mod-1">
                <figure><img src="images/services-05-546x516.jpg" alt="" width="546" height="516"/>
                </figure>
              </div>
            </div>
          </div>
        </div>
      </section>
     
      <!-- Blog-->
      <section class="section section-sm bg-white text-center text-sm-left">
        <div class="shell-wide">
          <h3>Nuestro Blog</h3>
          <hr>
          <!-- Owl Carousel-->
          <div class="owl-carousel owl-carousel-stagePadding" data-items="1" data-sm-items="2" data-xl-items="3" data-dots="false" data-nav="true" data-stage-padding="0" data-lg-stage-padding="100" data-xl-stage-padding="0" data-loop="true" data-margin="30" data-mouse-drag="false" data-nav-class="[&quot;owl-button-prev fl-budicons-free-left161&quot;,&quot;owl-button-next  fl-budicons-free-right163&quot;]">
            <div class="post-box post-box-minimal post-box-horizontal wow fadeInUp" data-wow-delay=".1s"><a class="post-box-image" href="blog-post.html">
                <figure><img src="images/layout-2-blog-01-460x369.jpg" alt="" width="460" height="369"/>
                </figure></a>
              <div class="post-box-minimal-caption">
                <div class="post-box-minimal-caption-inner">
                  <h5 class="post-box-minimal-title"><a>Ofrece los mejores procedimientos en nuestro hotel</a></h5>
                </div>
              </div>
            </div>
            <div class="post-box post-box-minimal post-box-horizontal wow fadeInUp" data-wow-delay=".2s"><a class="post-box-image" href="blog-post.html">
                <figure><img src="images/layout-2-blog-02-460x369.jpg" alt="" width="460" height="369"/>
                </figure></a>
              <div class="post-box-minimal-caption">
                <div class="post-box-minimal-caption-inner">
                  <h5 class="post-box-minimal-title"><a>Terapias y actividades</a></h5>
                  
                </div>
              </div>
            </div>
            <div class="post-box post-box-minimal post-box-horizontal wow fadeInUp" data-wow-delay=".3s"><a class="post-box-image" href="blog-post.html">
                <figure><img src="images/layout-2-blog-03-460x369.jpg" alt="" width="460" height="369"/>
                </figure></a>
              <div class="post-box-minimal-caption">
                <div class="post-box-minimal-caption-inner">
                  <h5 class="post-box-minimal-title"><a> Su escapada relajante comienza aquí</a></h5>
                  
                </div>
              </div>
            </div>
          </div>
        </div>
      </section>
      <!-- Page Footer-->
      <?php echo $__env->make('LadingPage.Partes.footer.footer', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?>
    </div>
    <!-- PANEL-->
    <!-- END PANEL-->
    <!-- Global Mailform Output-->
    <div class="snackbars" id="form-output-global"></div>
    <!-- PhotoSwipe Gallery-->
    <div class="pswp" tabindex="-1" role="dialog" aria-hidden="true">
      <div class="pswp__bg"></div>
      <div class="pswp__scroll-wrap">
        <div class="pswp__container">
          <div class="pswp__item"></div>
          <div class="pswp__item"></div>
          <div class="pswp__item"></div>
        </div>
        <div class="pswp__ui pswp__ui--hidden">
          <div class="pswp__top-bar">
            <div class="pswp__counter"></div>
            <button class="pswp__button pswp__button--close" title="Close (Esc)"></button>
            <button class="pswp__button pswp__button--share" title="Share"></button>
            <button class="pswp__button pswp__button--fs" title="Toggle fullscreen"></button>
            <button class="pswp__button pswp__button--zoom" title="Zoom in/out"></button>
            <div class="pswp__preloader">
              <div class="pswp__preloader__icn">
                <div class="pswp__preloader__cut">
                  <div class="pswp__preloader__donut"></div>
                </div>
              </div>
            </div>
          </div>
          <div class="pswp__share-modal pswp__share-modal--hidden pswp__single-tap">
            <div class="pswp__share-tooltip"></div>
          </div>
          <button class="pswp__button pswp__button--arrow--left" title="Previous (arrow left)"></button>
          <button class="pswp__button pswp__button--arrow--right" title="Next (arrow right)"></button>
          <div class="pswp__caption">
            <div class="pswp__caption__cent"></div>
          </div>
        </div>
      </div>
    </div>

    
    <!-- Javascript-->
   <?php echo $__env->make('LadingPage.Partes.js.js', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?>
    <!--Coded by Drel-->
  </body>
</html><?php /**PATH C:\proyectoProgramado1\resources\views/index.blade.php ENDPATH**/ ?>