<?php $__env->startSection('cuerpo'); ?>

<?php $__env->startSection('portada', 'Reservaciones'); ?>


<div class="row">


    <div class="col-sm-12">

        <div class="card border-secondary">

            <div class="card-body">

                <table class="datatable table table-hover">

                    <thead class="bg-dark text-white">
                        <tr>
                            <th># Reservacion</th>
                            <th>Nombre Cliente</th>
                            <th>Fecha Reservacion</th>
                            <th>Total</th>
                            <th style="width: 20px;">Editar</th>
                            <th style="width: 20px;">Eliminar</th>
                        </tr>
                    </thead>

                    <tbody>

                        <?php $__currentLoopData = $reservaciones; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $item): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                            <tr>

                                <td><?php echo e($item->id_reservacion); ?></td>
                                <td><?php echo e($item->nombre); ?></td>
                                <td><?php echo e($item->fecha_creacion); ?></td>
                                <td><?php echo e($item->precio_total); ?></td>

                                <td>
                                    <a class="btn btn-sm btn-warning" href="<?php echo e(route('Reservaciones.update', $item->id_reservacion)); ?>">Editar</a>
                                </td>
                                <td>
                                    <form action="<?php echo e(route('Reservaciones.destroy', $item)); ?>" method="POST">

                                        <?php echo csrf_field(); ?>
                                        <?php echo method_field('delete'); ?>

                                        <button class="btn btn-sm btn-danger">Eliminar</button>
                                    </form>
                                </td>
                            </tr>
                        <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>

                    </tbody>

                </table>

            </div>

        </div>

    </div>

</div>
<?php $__env->stopSection(); ?>

<?php echo $__env->make('administrativo.index', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?><?php /**PATH C:\Laravel\proyectoProgramado1\resources\views\administrativo\paginas\reservaciones.blade.php ENDPATH**/ ?>