<?php $__env->startSection('cuerpo'); ?>

<?php $__env->startSection('portada', 'Reporte #2:'); ?>

<div class="container-fluid">
    <form action="<?php echo e(route('reporte2')); ?>" method="GET" class="needs-validation" novalidate>
        <?php echo csrf_field(); ?>
        <div class="form-row">
            <div class="col">
                <div class="form-group">
                    <label for="fecha_entrada">Fecha de Entrada:</label>
                    <input type="date" class="form-control" id="fecha_entrada" name="fecha_entrada" required>
                    <div class="invalid-feedback">
                        Por favor, selecciona una fecha de entrada.
                    </div>
                </div>
            </div>
            <div class="col">
                <div class="form-group">
                    <label for="fecha_salida">Fecha de Salida:</label>
                    <input type="date" class="form-control" id="fecha_salida" name="fecha_salida" required>
                    <div class="invalid-feedback">
                        Por favor, selecciona una fecha de salida.
                    </div>
                </div>
            </div>
        </div>
</div>


<div class="row">


    <div class="col-sm-12">

        <div class="card border-secondary">

            <div class="card-body">

                <table class="datatable table table-hover">


                    <thead class="bg-dark text-white">

                        <tr>
                            <th>Numero Peronas</th>
                            <th>Rango Fecha</th>
                        </tr>
                    </thead>

                    <tbody>


                            <tr>

                                <td><?php echo e($cantidadPersonas); ?></td>
                                <td><?php echo e($rangoFecha); ?></td>


                            </tr>

                    </tbody>

                </table>

            </div>

        </div>

    </div>

</div>

<button type="submit" class="btn btn-primary" style="margin-top: 20px;">Generar Reporte</button>
</form>
<?php $__env->stopSection(); ?>

<?php echo $__env->make('administrativo.index', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?><?php /**PATH C:\Laravel\proyectoProgramado1\resources\views\administrativo\paginas\reportes#2.blade.php ENDPATH**/ ?>