<?php $__env->startSection('titulo', 'Editar Reservaciones'); ?>

<?php $__env->startSection('cuerpo'); ?>

<?php $__env->startSection('portada', 'Editar Reservaciones'); ?>

<?php $__env->startSection('botones'); ?>
    <a class="btn btn-outline-dark" href="<?php echo e(route('indexReservaciones')); ?>">Regresar</a>
<?php $__env->stopSection(); ?>


<div class="row">

    <div class="col-sm-12">

        <div class="card border-secondary">

            <div class="card-body">



                <div class="row">


                    
                    <div class="col-sm-4">


                        <form action="<?php echo e(route('Reservaciones.update', $contacto)); ?>" method="POST">

                            <?php echo csrf_field(); ?>
                            <?php echo method_field('PUT'); ?>

                            <div class="mb-3">

                                <label>Nombre</label>
                                <input type="text" class="form-control" name="nombre"
                                    value="<?php echo e($contacto->nombre); ?>">

                                <label>Telefono</label>
                                <input type="text" class="form-control" name="telefono"
                                    value="<?php echo e($contacto->telefono); ?>">

                                <label>Correo</label>
                                <input type="text" class="form-control" name="correo" id="correo"
                                    value="<?php echo e($contacto->correo); ?>">
                            </div>
                            <button type="submit" class="btn btn-primary">Guardar</button>
                        </form>

                    </div>



                    
                    <div class="col-sm-8">

                        <table class="datatable table table-hover">

                            <thead class="bg-dark text-white" style="font-size: 14px">
                                <tr>
                                    <th style="width: 1px;"># Habitacion</th>
                                    <th >Nombre</th>
                                    <th>Fecha Entrada</th>
                                    <th>Fecha Salida</th>
                                    <th>Cantidad Noches</th>
                                    <th>Cantidad Personas</th>
                                    <th>Precio Subtotal</th>
                                    <th style="width: 20px;">Editar</th>
                                    <th style="width: 20px;">Eliminar</th>
                                </tr>
                            </thead>

                            <tbody style="font-size: 14px">

                                <?php $__currentLoopData = $habitaciones; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $item): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                    <tr>

                                        <td><?php echo e($item->id_habitacion); ?></td>
                                        <td><?php echo e($item->nombre); ?></td>
                                        <td><?php echo e($item->fecha_entrada); ?></td>
                                        <td><?php echo e($item->fecha_salida); ?></td>
                                        <td><?php echo e($item->cantidad_noches); ?></td>
                                        <td><?php echo e($item->cantidad_personas); ?></td>
                                        <td><?php echo e($item->precio_sub_total); ?></td>


                                        <td>
                                            <a class="btn btn-sm btn-warning" onclick="editarHabitaciones2(<?php echo json_encode($item->id_reservacioneshabitaciones, 15, 512) ?>)">Editar</a>
                                        </td>
                                        <td>
                                            <form action="<?php echo e(route('HabitacionesEditar.destroy', $item)); ?>" method="POST">

                                                <?php echo csrf_field(); ?>
                                                <?php echo method_field('delete'); ?>

                                                <button class="btn btn-sm btn-danger">Eliminar</button>
                                            </form>
                                        </td>
                                    </tr>
                                <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>

                            </tbody>

                        </table>

                    </div>

                </div>





            </div>

        </div>

    </div>

</div>



<div class="modal fade" id="editarReservaciones" tabindex="-1" role="dialog" aria-labelledby="exampleModalLabel"
    aria-hidden="true">
    <div class="modal-dialog" role="document">
        <div class="modal-content">
            <div class="modal-header">
                <h5 class="modal-title" id="exampleModalLabel">Editar Habitacion</h5>
                <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                    <span aria-hidden="true">&times;</span>
                </button>
            </div>
            <div class="modal-body">
                <form action="<?php echo e(route('HabitacionesEditar.update',0)); ?>" method="POST">

                    <?php echo csrf_field(); ?>
                    <?php echo method_field('PUT'); ?>


                    


                    <div class="mb-3">

                        <label>Fecha Entrada</label>
                        <input type="date" class="form-control" name="fecha_entrada">
                        <label>Fecha Salida</label>
                        <input type="date" class="form-control" name="fecha_salida">
                        <label>cantidad nohes</label>
                        <input type="number" class="form-control" name="cantidad_noches">
                        <label>cantidad personas</label>
                        <input type="number" class="form-control" name="cantidad_personas">

                        <input type="hidden" class="form-control" name="id_reservacioneshabitaciones">
                    </div>
            </div>
            <div class="modal-footer">
                <button type="submit" class="btn btn-primary">Guardar</button>
            </div>
            </form>
        </div>
    </div>
</div>




<script>
    function editarHabitaciones2(id_reservacioneshabitaciones) {


        console.log('entre');
        id = id_reservacioneshabitaciones;
        route = "<?php echo e(route('HabitacionesEditar.show', '#')); ?>";
        route = route.replace("#", id);

        // parent = $(this).parent();
        $.ajax({
            url: route,
            type: 'GET',
            headers: {
                'X-CSRF-Token': $('meta[name="csrf-token"]').attr('content')
            },
            success: function(result) {

                console.log(result);
                $('#editarReservaciones').modal('show');

                document.querySelector('input[name="fecha_entrada"]').value = result.fecha_entrada;
                document.querySelector('input[name="fecha_salida"]').value = result.fecha_salida;
                document.querySelector('input[name="cantidad_noches"]').value = result.cantidad_noches;
                document.querySelector('input[name="cantidad_personas"]').value = result.cantidad_personas;

                document.querySelector('input[name="id_reservacioneshabitaciones"]').value = result.id_reservacioneshabitaciones;

            }
        });

    }
</script>

<?php $__env->stopSection(); ?>

<?php echo $__env->make('administrativo.index', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?><?php /**PATH C:\Laravel\proyectoProgramado1\resources\views\administrativo\paginas\editarReservaciones.blade.php ENDPATH**/ ?>